<?



	/************************************************************
	* Основной модуль обменного пункта - Калькулятор            *
	* В нем выводится html-страницы и формируется JavaScript    *
	* обработки формы (калькулятора) обменного пункта. Все      *
	* данные для калькулятора берутся из системы WebMoney.......*
	************************************************************/
	
	// Подключаем системный файл с модулями запросов к серверу WMT
	require_once "wm.inc";

	//Шаг 1. Считываем данные кошельков обменного пункта из системы WMT

	// Формируем уникальный номер запроса
	$RequestN = _DateID();
	// WM идентификатор магазина. Задается в файле config.inc
	global $wmconst__shop_wmid;
	// Формирование строки для подписи
	$PlanStr = "$wmconst__shop_wmid$RequestN";
	// Формирование подписи
	$SignStr = _GetSign($PlanStr);
	// XML-запрос к системе WMT
	$W3sUrl = "
		<w3s.request>
			<reqn>$RequestN</reqn>
			<wmid>$wmconst__shop_wmid</wmid>
			<sign>$SignStr</sign>
			<getpurses>
				<wmid>$wmconst__shop_wmid</wmid>
			</getpurses>
		</w3s.request>
	";
	// Вызов сервисной функции модуля wm. Получение результатов XML-запроса к системе WMT
	$XMLRes = _XMLReq($W3sUrl);
	//Обработка результата
	// определяем количество кошельков
	$countpurses = eregi_replace("([^\[]*)<purses cnt=\"","",$XMLRes);
	$countpurses = eregi_replace("\" wmid=([^\[]*)","",$countpurses);
	// веделяем облась данных о кошельке из результата запроса
	$datas = eregi_replace("([^\[]*)<purses[^>]+>","",$XMLRes);
	$datas = eregi_replace("</purses>([^\[]*)","",$datas);
	// определяем номера кошельков
	preg_match_all ("|<purse [^>]+><[^>]+>(.*)</[^>]+>|U", $datas, $purses, PREG_PATTERN_ORDER);
	$purses = $purses[1];
	// определяем суммы кошельков
	preg_match_all ("|<am[^>]+>(.*)</[^>]+>|U", $datas, $money, PREG_PATTERN_ORDER);
	$money = $money[1];

	//Раскладываем деньги по кошелькам
	$i = 0;
	while ($i < $countpurses)
	{
		// Вычисляем сумму, которую нужно положить в кошелек обменнго пункта
		// $ostatok - это % имеющихся денег, которые не показывать пользователю
		// (неприкосновенный запас), т.е. "сейчас в наличии = баланс - %остаток". 
		// Значение переменной Задается в файле config.inc
		$money[$i] = round($money[$i] - $money[$i]*$ostatok/100,2);
		// распределяем суммы кошельков по соответствующим переменным
		if ($purses[$i] == $purseE)
		{
			$WME = $money[$i];
		}
		if ($purses[$i] == $purseR)
		{
			$WMR = $money[$i];
		}
		if ($purses[$i] == $purseZ)
		{
			$WMZ = $money[$i];
		}
		$i++;
	}

	// Определяем статус операций
	$statusZ = "";
	$statusR = "";
	$statusE = "";
	if($WMZ==0)
	{
		$statusZ = "DISABLED";
	}
	if($WMR==0)
	{
		$statusR = "DISABLED";
	}
	if($WME==0)
	{
		$statusE = "DISABLED";
	}

	// Вывод обменника
	include $skinPath."init.php";
	include $skinPath."obmen_skin.php";
?>